post
https://testapi.payarc.net/v1/agent-hub/apply/lead-status
This API returns the status of an application.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Response Details
<th style={{ textAlign: "center" }}>
Description
</th>
<th style={{ textAlign: "right" }}>
Data Type
</th>
<th style={{ textAlign: "left" }}>
Possible Values
</th>
</tr>
MerchantCode
<td style={{ textAlign: "center" }}>
id of the merchant.
</td>
<td style={{ textAlign: "right" }}>
String
</td>
<td style={{ textAlign: "left" }}>
</td>
</tr>
<tr>
<td style={{ textAlign: "left" }}>
Status
</td>
<td style={{ textAlign: "center" }}>
Application status.
</td>
<td style={{ textAlign: "right" }}>
Int
</td>
<td style={{ textAlign: "left" }}>
0 = STATUS\_DRAFT\
1 = STATUS\_SENT\_TO\_MERCHANT\
2 = STATUS\_WAITING\_SIGNATURE\
4 = STATUS\_SIGNED\
8 = STATUS\_LEADED\
16 = STATUS\_SENT\_TO\_MERCHANT\_FOR\_AGREEMENT\
32 = STATUS\_SUBMITTED\
64 = STATUS\_SUBMITTED\_LEADED
</td>
</tr>
<tr>
<td style={{ textAlign: "left" }}>
LeadCode
</td>
<td style={{ textAlign: "center" }}>
Once the Application is signed it will turn into Lead object with this ID.
</td>
<td style={{ textAlign: "right" }}>
String
</td>
<td style={{ textAlign: "left" }}>
</td>
</tr>
<tr>
<td style={{ textAlign: "left" }}>
LeadStatus
</td>
<td style={{ textAlign: "center" }}>
The status at each LeadModule level. E.g.: if Lead goes from "application" to "boarding" module this status may be reset back to "new".
</td>
<td style={{ textAlign: "right" }}>
String
</td>
<td style={{ textAlign: "left" }}>
approved\
in\_progress\
submitted\_to\_underwriting\
declined\
Dead\
application\_submitted\
pending\_docs\
buried\
boarded\
qa\_complete\
submitted\_to\_qa\
active\
submitted\_to\_postboarding\
on\_hold
</td>
</tr>
<tr>
<td style={{ textAlign: "left" }}>
LeadModule
</td>
<td style={{ textAlign: "center" }}>
The module/stage in which the applications currently is.
</td>
<td style={{ textAlign: "right" }}>
String
</td>
<td style={{ textAlign: "left" }}>
application\
boarding\
deployment\
fiserv\_underwriting\
PostBoarding\
qa\
RiskReview\
underwriting
</td>
</tr>
<tr>
<td style={{ textAlign: "left" }}>
AccountCode
</td>
<td style={{ textAlign: "center" }}>
Once the Lead is boarded it will turn into Account object (final stage) with this ID.
</td>
<td style={{ textAlign: "right" }}>
String
</td>
<td style={{ textAlign: "left" }}>
</td>
</tr>
<tr>
<td style={{ textAlign: "left" }}>
AccountMID
</td>
<td style={{ textAlign: "center" }}>
The MID of the Account.
</td>
<td style={{ textAlign: "right" }}>
String
</td>
<td style={{ textAlign: "left" }}>
</td>
</tr>
<tr>
<td style={{ textAlign: "left" }}>
AccountStatus
</td>
<td style={{ textAlign: "center" }}>
</td>
<td style={{ textAlign: "right" }}>
String
</td>
<td style={{ textAlign: "left" }}>
open\
inactive\
closed
</td>
</tr>
<tr>
<td style={{ textAlign: "left" }}>
AchStatus
</td>
<td style={{ textAlign: "center" }}>
ACH boarding status, if the application is applied for it. Completed means the application is ready to start making ACH payments.
</td>
<td style={{ textAlign: "right" }}>
String
</td>
<td style={{ textAlign: "left" }}>
new\
in\_progress\
completed
</td>
</tr>